Bug 1315302 - Resolve provisioning template button does not work with Discovery
Resolve provisioning template button does not work with Discovery
Status: ON_QA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: GA
: --
Assigned To: Daniel Lobato Garcia
Sachin Ghai
http://projects.theforeman.org/issues...
: Triaged
: 1367214 1373521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 07:39 EST by Sachin Ghai
Modified: 2017-08-15 16:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Edit host form doesn't show the provisioning templates on provisioning a discovered host (58.71 KB, image/png)
2016-03-07 07:39 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15548 None None None 2016-09-06 08:04 EDT

  None (edit)
Description Sachin Ghai 2016-03-07 07:39:22 EST
Created attachment 1133726 [details]
Edit host form doesn't show the provisioning templates on provisioning a discovered host

Description of problem: I was trying to provision a discovered host but the dit host form doesn't show the associated templates. I double checked and all templates were associated with selected OS.


2016-03-07 07:33:08 [app] [I] Started POST "/hosts/template_used?id=7?provisioning=build" for 10.65.193.200 at 2016-03-07 07:33:08 -0500
2016-03-07 07:33:08 [app] [I] Processing by HostsController#template_used as */*
2016-03-07 07:33:08 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"aeJryRqFNLFTahLEy3nj4hV3ul2mYq4hI+orrncotPs=", "host"=>{"name"=>"mac525400689a6f", "hostgroup_id"=>"1", "content_facet_attributes"=>{"id"=>""}, "environment_id"=>"1", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "openscap_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "mac"=>"52:54:00:68:9a:6f", "identifier"=>"eth0", "name"=>"mac525400689a6f", "domain_id"=>"1", "subnet_id"=>"1", "ip"=>"192.168.100.14", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "tag"=>"", "attached_to"=>"", "id"=>"13"}, "new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "execution"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"1", "operatingsystem_id"=>"3", "build"=>"1", "medium_id"=>"10", "ptable_id"=>"61", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"2", "comment"=>"", "overwrite"=>"false"}, "hostgroup"=>{"lifecycle_environment_id"=>"2", "content_view_id"=>"2", "puppetclass_ids"=>[""]}, "fakepassword"=>"[FILTERED]", "bare_metal_capabilities"=>"build", "id"=>"7?provisioning=build"}
2016-03-07 07:33:08 [app] [I]   Rendered common/404.html.erb within layouts/application (1.8ms)
2016-03-07 07:33:08 [app] [I]   Rendered layouts/_application_content.html.erb (0.2ms)
2016-03-07 07:33:08 [app] [I]   Rendered layouts/base.html.erb (0.8ms)
2016-03-07 07:33:08 [app] [I] Completed 404 Not Found in 14ms (Views: 4.2ms | ActiveRecord: 1.8ms)

Please note on provisioning a host other than discovered one, I can see the templates

Version-Release number of selected component (if applicable):
Sat 6.2 snap2

How reproducible:
always

Steps to Reproduce:
1. discovered a host
2. click on provision _> edit host form -> Operating System 
3.

Actual results:
Edit host form doesn't show the provisioning templates on provisioning a discovered host

Expected results:


Additional info:
Comment 2 Lukas Zapletal 2016-03-10 04:41:20 EST
This is not a regression, this button hasn't ever worked. Since we are likely changing the discovery provisioning form for 6.3, I am giving this low priority for 6.2. It does not *block* anything, if I understand the BZ correctly.
Comment 3 Lukas Zapletal 2016-09-06 07:58:48 EDT
*** Bug 1367214 has been marked as a duplicate of this bug. ***
Comment 4 Bryan Kearney 2016-09-06 10:14:20 EDT
Upstream bug component is Discovery Plugin
Comment 5 Lukas Zapletal 2016-09-23 03:43:13 EDT
*** Bug 1373521 has been marked as a duplicate of this bug. ***
Comment 6 Bryan Kearney 2016-09-30 08:13:20 EDT
Upstream bug assigned to dlobatog@redhat.com
Comment 7 Bryan Kearney 2016-09-30 08:13:24 EDT
Upstream bug assigned to dlobatog@redhat.com
Comment 8 pm-sat@redhat.com 2017-03-06 10:11:17 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15548 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.